Bug 1515559 - [chromium-native_client] unfiltered library provides
Summary: [chromium-native_client] unfiltered library provides
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: chromium-native_client
Version: 26
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Tom "spot" Callaway
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-11-21 03:31 UTC by Carl George
Modified: 2018-01-05 15:55 UTC (History)
2 users (show)

Fixed In Version: chromium-native_client-59.0.3071.86-4.20170607gitaac1de2.fc25 chromium-native_client-59.0.3071.86-5.20170607gitaac1de2.fc27 chromium-native_client-59.0.3071.86-4.20170607gitaac1de2.fc26
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2017-12-02 08:03:09 UTC
Type: Bug


Attachments (Terms of Use)

Description Carl George 2017-11-21 03:31:58 UTC
Description of problem:
It appears there are some bundled libraries in chromium-native_client getting detected by RPM's automatic provides mechanism.

# dnf -q repoquery --provides chromium-native_client | grep ^lib
libLLVM-3.7svn.so()(64bit)
libLTO.so()(64bit)
libc++.so.1()(64bit)
libclang.so()(64bit)

# dnf -q repoquery --list chromium-native_client | grep '/usr/pnacl_newlib/lib/.*\.so'
/usr/pnacl_newlib/lib/LLVMgold.so
/usr/pnacl_newlib/lib/libLLVM-3.7.0svn.so
/usr/pnacl_newlib/lib/libLLVM-3.7svn.so
/usr/pnacl_newlib/lib/libLTO.so
/usr/pnacl_newlib/lib/libc++.so
/usr/pnacl_newlib/lib/libc++.so.1
/usr/pnacl_newlib/lib/libc++.so.1.0
/usr/pnacl_newlib/lib/libclang.so

I think these should be filtered out since they are not in the standard location.

Version-Release number of selected component (if applicable):
chromium-native_client-1:59.0.3071.86-1.20170607gitaac1de2.fc26
(also in F27 and Rawhide)

Comment 1 Fedora Update System 2017-11-21 19:37:05 UTC
chromium-native_client-59.0.3071.86-5.20170607gitaac1de2.fc27 has been submitted as an update to Fedora 27. https://bodhi.fedoraproject.org/updates/FEDORA-2017-f9af55ae45

Comment 2 Fedora Update System 2017-11-21 19:37:13 UTC
chromium-native_client-59.0.3071.86-4.20170607gitaac1de2.fc25 has been submitted as an update to Fedora 25. https://bodhi.fedoraproject.org/updates/FEDORA-2017-caa89ca45d

Comment 3 Fedora Update System 2017-11-21 19:37:18 UTC
chromium-native_client-59.0.3071.86-4.20170607gitaac1de2.fc26 has been submitted as an update to Fedora 26. https://bodhi.fedoraproject.org/updates/FEDORA-2017-6da28315de

Comment 4 Fedora Update System 2017-11-22 17:53:01 UTC
chromium-native_client-59.0.3071.86-4.20170607gitaac1de2.fc25 has been pushed to the Fedora 25 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-caa89ca45d

Comment 5 Fedora Update System 2017-11-25 01:32:31 UTC
chromium-native_client-59.0.3071.86-4.20170607gitaac1de2.fc26 has been pushed to the Fedora 26 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-6da28315de

Comment 6 Fedora Update System 2017-11-27 04:33:06 UTC
chromium-native_client-59.0.3071.86-5.20170607gitaac1de2.fc27 has been pushed to the Fedora 27 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-f9af55ae45

Comment 7 Fedora Update System 2017-12-02 08:03:09 UTC
chromium-native_client-59.0.3071.86-4.20170607gitaac1de2.fc25 has been pushed to the Fedora 25 stable repository. If problems still persist, please make note of it in this bug report.

Comment 8 Fedora Update System 2017-12-04 19:03:38 UTC
chromium-native_client-59.0.3071.86-5.20170607gitaac1de2.fc27 has been pushed to the Fedora 27 stable repository. If problems still persist, please make note of it in this bug report.

Comment 9 Clive Messer 2018-01-03 10:04:50 UTC
Of course, the problem with this now, is that the new package still requires "libLLVM-3.7svn.so()(64bit)", but no longer provides it. Hmmmmm.....

$ sudo dnf update
Last metadata expiration check: 1:19:15 ago on Wed 03 Jan 2018 08:44:38 GMT.
Dependencies resolved.

 Problem: package chromium-native_client-1:59.0.3071.86-5.20170607gitaac1de2.fc27.x86_64 requires libLLVM-3.7svn.so()(64bit), but none of the providers can be installed
  - cannot install both chromium-native_client-1:59.0.3071.86-5.20170607gitaac1de2.fc27.x86_64 and chromium-native_client-1:59.0.3071.86-1.20170607gitaac1de2.fc27.x86_64
  - cannot install both chromium-native_client-1:59.0.3071.86-1.20170607gitaac1de2.fc27.x86_64 and chromium-native_client-1:59.0.3071.86-5.20170607gitaac1de2.fc27.x86_64
  - cannot install the best update candidate for package chromium-native_client-1:59.0.3071.86-1.20170607gitaac1de2.fc27.x86_64
================================================================================
 Package          Arch   Version                                  Repository
                                                                           Size
================================================================================
Skipping packages with conflicts:
(add '--best --allowerasing' to command line to force their upgrade):
 chromium-native_client
                  x86_64 1:59.0.3071.86-5.20170607gitaac1de2.fc27 updates  94 M

Transaction Summary
================================================================================
Skip  1 Package

Nothing to do.
Complete!

Comment 10 Tom "spot" Callaway 2018-01-04 19:47:48 UTC
Ugh. Honestly, you should just remove that package. It's retired in rawhide, chromium doesn't depend on it to run (or build) anymore.

Comment 11 Fedora Update System 2018-01-05 15:55:09 UTC
chromium-native_client-59.0.3071.86-4.20170607gitaac1de2.fc26 has been pushed to the Fedora 26 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.